Welcome to Linux Support and Sun Help
Search LinuxSupport

PHP is available to download from http://www.php.net/

See also the apache notes.

Installing PHP 4

If required, you now want to install PHP via the following commands:-

gunzip php-4.4.7.tar.gz
tar -xvf php-4.4.7.tar
cd php-4.4.7
./configure --with-apxs2=/usr/local/apache2/bin/apxs --with-config-file-path=/etc/php.ini
make install

Finally copy the default PHP configuration file to the relevant location, given in the previous ./configure command. Type cp php.ini-dist /etc/php.ini

Installing PHP 5

Installation is pretty much the same as for PHP 4. Don't forget to change the relevant path to Apache in the ./configure command, if it varies from my default location.

wget http://uk.php.net/distributions/php-5.2.6.tar.gz
gunzip php-5.2.6.tar.gz
tar -xvf php-5.2.6.tar
cd php-5.2.6
./configure --with-apxs2=/usr/local/apache2/bin/apxs --with-config-file-path=/etc/php.ini
make install

cp php.ini-dist /etc/php.ini
Possible dependencies

PHP 5 requires libxml2 version 2.6.11 or greater:-

wget http://xmlsoft.org/sources/libxml2-2.6.31.tar.gz
gunzip libxml2-2.6.31.tar.gz
tar -xvf libxml2-2.6.31.tar
cd libxml2-2.6.31
make install

Also available from www.linuxfromscratch.org/blfs/view/cvs/general/libxml2.html

Valid HTML 4.01! Valid CSS!